Subject: Re: bug#17502: R6RS `library' form must have exports before imports

From: <[email-masked]>
Date: Thu, 15 May 2014 23:12:51 -0400

---- Taylan Ulrich Bayirli/Kammer <[email-masked]> wrote: 
> The R6RS `library' form requires the (export ...) list to appear
> before the (import ...) list.  I'm not sure if this itself is a bug;
> R6RS consistently uses that order, doesn't mention the order to be
> irrelevant, and seems to me to imply that it's indeed mandatory.  I
> didn't check for what other R6RS implementations do though.

>From http://www.r6rs.org/final/html/r6rs/r6rs-Z-H-10.html#node_sec_7.1 :

A library definition must have the following form:

(library <library name>
  (export <export spec> ...)

  (import <import spec> ...)

  <library body>)

Seems unambiguous to me.

-Dale